io.vertx.rxjava.ext.web.handler

## Class JWTAuthHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.JWTAuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthHandler

      public class JWTAuthHandler
      extends Object
      implements AuthHandler, Handler<RoutingContext>

  An auth handler that provides JWT Authentication support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<JWTAuthHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTAuthHandler(JWTAuthHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(String authority)` Add a required authority for this auth handler
    `static JWTAuthHandler` | `create(JWTAuth authProvider)` Create a JWT auth handler
    `static JWTAuthHandler` | `create(JWTAuth authProvider, String skip)` Create a JWT auth handler
    `JWTAuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static JWTAuthHandler` | `newInstance(JWTAuthHandler arg)`
    `JWTAuthHandler` | `setAudience(List<String> audience)` Set the audience list
    `JWTAuthHandler` | `setIgnoreExpiration(boolean ignoreExpiration)` Set whether expiration is ignored
    `JWTAuthHandler` | `setIssuer(String issuer)` Set the issuer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.AuthHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<JWTAuthHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### JWTAuthHandler

          public JWTAuthHandler(JWTAuthHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public JWTAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthHandler`

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthHandler`
      Parameters:
        `arg0` - the event to handle

    - #### addAuthority

          public AuthHandler addAuthority(String authority)

      Add a required authority for this auth handler
      Specified by:
        `addAuthority` in interface `AuthHandler`
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          public AuthHandler addAuthorities(Set<String> authorities)

      Add a set of required authorities for this auth handler
      Specified by:
        `addAuthorities` in interface `AuthHandler`
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### create

          public static JWTAuthHandler create(JWTAuth authProvider)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          public static JWTAuthHandler create(JWTAuth authProvider,
                                              String skip)

      Create a JWT auth handler
      Parameters:
        `authProvider` - the auth provider to use.
        `skip` -
      Returns:
        the auth handler

    - #### setAudience

          public JWTAuthHandler setAudience(List<String> audience)

      Set the audience list
      Parameters:
        `audience` - the audience list
      Returns:
        a reference to this for fluency

    - #### setIssuer

          public JWTAuthHandler setIssuer(String issuer)

      Set the issuer
      Parameters:
        `issuer` - the issuer
      Returns:
        a reference to this for fluency

    - #### setIgnoreExpiration

          public JWTAuthHandler setIgnoreExpiration(boolean ignoreExpiration)

      Set whether expiration is ignored
      Parameters:
        `ignoreExpiration` - whether expiration is ignored
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static JWTAuthHandler newInstance(JWTAuthHandler arg)

Copyright © 2017. All rights reserved.